# Uses of Class
javafx.stage.FileChooser.ExtensionFilter

Packages that use FileChooser.ExtensionFilter
Package
Description
javafx.stage
Provides the top-level container classes for JavaFX content.

## Uses of FileChooser.ExtensionFilter in javafx.stage

Methods in javafx.stage that return FileChooser.ExtensionFilter
Modifier and Type
Method
Description
`final FileChooser.ExtensionFilter`
FileChooser.`getSelectedExtensionFilter()`
Gets the value of the `selectedExtensionFilter` property.
Methods in javafx.stage that return types with arguments of type FileChooser.ExtensionFilter
Modifier and Type
Method
Description
`ObservableList<FileChooser.ExtensionFilter>`
FileChooser.`getExtensionFilters()`
Gets the extension filters used in the displayed file dialog.
`final ObjectProperty<FileChooser.ExtensionFilter>`
FileChooser.`selectedExtensionFilterProperty()`
This property is used to pre-select the extension filter for the next displayed dialog and to read the user-selected extension filter from the dismissed dialog.
Methods in javafx.stage with parameters of type FileChooser.ExtensionFilter
Modifier and Type
Method
Description
`final void`
FileChooser.`setSelectedExtensionFilter(FileChooser.ExtensionFilter filter)`
Sets the value of the `selectedExtensionFilter` property.